Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018712
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2011-10-06 08:072011-10-19 14:05
ReportermalsasuaView Statuspublic 
Assigned Toeduardo_Argal 
PriorityimmediateResolutionfixedFixed in Version3.0MP4
StatusclosedFix in branchFixed in SCM revisione96e7cf58e70
ProjectionnoneETAnoneTarget Version3.0MP4
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018712: transaction with multi currency cannot be deleted

Descriptionif you add a transaction with multicurreny in financial account, this transaction cannot be deleted, error is returned:
Error
org.openbravo.base.exception.OBException: Process failed deleting the financial account Transaction
Steps To Reproduce. create a new sales invoice in "F&B US, Inc." with pricelist in EUR currency
. process it

. go to "US Bank - Account 1" financial account and click in "add transaction"
 . click in "add payment in/out" and select the previous invoice

a transaction is created.

try delete it:
error is returned:
org.openbravo.base.exception.OBException: Process failed deleting the financial account Transaction
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0041593)
hgbot (developer)
2011-10-11 17:10

Repository: erp/devel/pi
Changeset: c1ff66bd486636cf4641f94eadddd32f339bebde
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Thu Oct 06 09:57:26 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c1ff66bd486636cf4641f94eadddd32f339bebde [^]

Fixes bug 18712: transaction with multi currency cannot be deleted

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0041769)
hudsonbot (developer)
2011-10-12 02:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test
(0041785)
malsasua (developer)
2011-10-13 10:04

verified
(0041885)
hgbot (developer)
2011-10-18 17:25

Repository: erp/devel/pi
Changeset: e96e7cf58e70da652ba2eb1dc9222e577877b028
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Thu Oct 06 09:57:26 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e96e7cf58e70da652ba2eb1dc9222e577877b028 [^]

Fixes bug 18712: transaction with multi currency cannot be deleted

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0041933)
shuehner (administrator)
2011-10-19 14:05

re-closing, as last checkin message not real, just triggered by a code-line merge.

- Issue History
Date Modified Username Field Change
2011-10-06 08:07 malsasua New Issue
2011-10-06 08:07 malsasua Assigned To => jonalegriaesarte
2011-10-06 08:07 malsasua Web browser => Google Chrome
2011-10-06 08:07 malsasua Modules => Core
2011-10-06 08:28 malsasua Issue Monitored: networkb
2011-10-06 10:03 eduardo_Argal Status new => scheduled
2011-10-06 10:03 eduardo_Argal Assigned To jonalegriaesarte => eduardo_Argal
2011-10-06 10:03 eduardo_Argal fix_in_branch => pi
2011-10-07 12:09 shuehner Web browser Google Chrome => Google Chrome
2011-10-07 12:09 shuehner Priority urgent => immediate
2011-10-07 12:09 shuehner Target Version => 3.0MP4
2011-10-07 12:09 shuehner fix_in_branch pi =>
2011-10-07 12:09 shuehner Steps to Reproduce Updated View Revisions
2011-10-11 17:10 hgbot Checkin
2011-10-11 17:10 hgbot Note Added: 0041593
2011-10-11 17:10 hgbot Status scheduled => resolved
2011-10-11 17:10 hgbot Resolution open => fixed
2011-10-11 17:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c1ff66bd486636cf4641f94eadddd32f339bebde [^]
2011-10-12 02:02 hudsonbot Checkin
2011-10-12 02:02 hudsonbot Note Added: 0041769
2011-10-13 10:04 malsasua Note Added: 0041785
2011-10-13 10:04 malsasua Status resolved => closed
2011-10-13 10:04 malsasua Fixed in Version => 3.0MP4
2011-10-18 17:25 hgbot Checkin
2011-10-18 17:25 hgbot Note Added: 0041885
2011-10-18 17:25 hgbot Status closed => resolved
2011-10-18 17:25 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/c1ff66bd486636cf4641f94eadddd32f339bebde [^] => http://code.openbravo.com/erp/devel/pi/rev/e96e7cf58e70da652ba2eb1dc9222e577877b028 [^]
2011-10-19 14:05 shuehner Note Added: 0041933
2011-10-19 14:05 shuehner Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker